%global momorel 2
%global tarball_ver 1_33_1
%global md5sum 2b999b2fb7798e1737d1fff8fac602ef

Name: boost
Summary: The Boost C++ Libraries
Version: 1.33.1
Release: %{momorel}m%{?dist}
License: "Boost Software License"
URL: http://www.boost.org/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/boost/boost_%{tarball_ver}.tar.bz2 %{md5sum}
Obsoletes: boost-doc
Obsoletes: boost-python
Provides: boost-python
Patch0: boost-base.patch
Patch1: boost-gcc-tools.patch
Patch2: boost-thread.patch
Patch3: boost-config-compiler-gcc.patch
Patch4: boost-runtests.patch
Patch10: boost_1_33_1-python25.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python 
BuildRequires: boost-jam >= 3.1.3
BuildRequires: gcc-c++ >= 3.4.1-1m

%description
Boost provides free peer-reviewed portable C++ source libraries.  The
emphasis is on libraries which work well with the C++ Standard
Library.  One goal is to establish "existing practice" and provide
reference implementations so that the Boost libraries are suitable for
eventual standardization. (Some of the libraries have already been
proposed for inclusion in the C++ Standards Committee's upcoming C++
Standard Library Technical Report.)

%package devel
Summary: The Boost C++ Headers
Group: System Environment/Libraries
Requires: boost = %{version}-%{release}
Obsoletes: boost-python-devel
Provides: boost-python-devel

%description devel
Headers for the Boost C++ libraries

%prep
#'
%setup -q -n %{name}_%{tarball_ver}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch10 -p1


%build
#build bjam
(cd tools/build/jam_src && ./build.sh)

#build boost with bjam
BJAM=`find tools/build/jam_src/ -name bjam -a -type f`
PYTHON_VERSION=`python -V 2>&1 |sed 's,.* \([0-9]\.[0-9]\)\(\.[0-9]\)\?.*,\1,'`
PYTHON_FLAGS="-sPYTHON_ROOT=/usr -sPYTHON_VERSION=$PYTHON_VERSION"
#$BJAM $PYTHON_FLAGS "-sTOOLS=gcc" "-sBUILD=release <dllversion>1" stage 
$BJAM $PYTHON_FLAGS "-sTOOLS=gcc" "-sBUILD=release" stage 

%install
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}

# install lib
for i in `find stage -type f -name \*.a`; do
  NAME=`basename $i`;
  install -m 755 $i %{buildroot}%{_libdir}/$NAME;
done;
for i in `find stage -type f -name \*.so.*`; do
  NAME=`basename $i`;
  install -m 755 $i %{buildroot}%{_libdir}/$NAME;
done;
for i in `find stage -type l -name \*.so`; do
  NAME=`basename $i`;
  SONAME=$NAME.2;
  ln -s $NAME.%{version} $SONAME;
  mv $SONAME %{buildroot}%{_libdir}/$SONAME;
  mv $i %{buildroot}%{_libdir}/$NAME;
done;

# install include files
for i in `find boost -type d`; do
  mkdir -p %{buildroot}%{_includedir}/$i
done
for i in `find boost -type f`; do
  install -m 644 $i %{buildroot}%{_includedir}/$i
done

%clean
rm -rf %{buildroot} 

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README LICENSE_1_0.txt doc/html people wiki
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.2

%files devel
%defattr(-, root, root)
%{_includedir}/boost
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.33.1-3m)
- build fix with python 2.5

* Thu Oct 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.33.1-2m)
- sync FC
-  revised Patch1: boost-gcc-tools.patch
-  add Patch2 boost-thread.patch
-  add Patch3 boost-config-compiler-gcc.patch
-  add Patch4 boost-runtests.patch


* Tue Apr 18 2006 Masayuki SANO
- (1.33.1-1m)
- update to 1.33.1

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.32.0-1m)
- ver up.

* Sun Aug 22 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.31.0-1m)
- update to 1.31.0 (rebuild against gcc-c++-3.4.1)

* Fri May 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.30.2-4m)
- change URI

* Sun Dec  7 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.30.2-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.30.2-2m)
- kill %%define version
- kill %%define release

* Mon Oct 20 2003 Hideo TASHIRO <tashiron@jasmiso.org>
- (1.30.2-1m)
- update to 1.30.2
- change License from "Freeware" to "Distributable"

* Tue Jun 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.30.0-1m)
- initial version for momonga (imported from rawhide)

* Tue May  6 2003 Tim Powers <timp@redhat.com> 1.30.0-3
- add deffattr's so we don't have unknown users owning files
